Bug 1138466 - glxext.h does not define GLintptr
Summary: glxext.h does not define GLintptr
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mesa
Version: rawhide
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Adam Jackson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F-ExcludeArch-ppc64le, PPC64LETracker
TreeView+ depends on / blocked
 
Reported: 2014-09-04 21:02 UTC by Orion Poplawski
Modified: 2014-12-06 10:10 UTC (History)
4 users (show)

Fixed In Version: vtk-6.1.0-18.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-12-06 10:10:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 83631 None None None Never

Description Orion Poplawski 2014-09-04 21:02:40 UTC
Description of problem:

Starting to see this in rawhide:

In file included from /usr/include/GL/glx.h:333:0,
                 from /builddir/build/BUILD/VTK-6.1.0/Rendering/OpenGL/vtkXOpenGLRenderWindow.cxx:31:
/usr/include/GL/glxext.h:480:143: error: 'GLintptr' has not been declared

Seems like GL should have defined that.

Version-Release number of selected component (if applicable):
mesa-libGL-devel-10.4-0.devel.2.1.80771e47b6c1e47ab55f17311e1d4e227a9eb3d8.fc22.x86_64

Comment 1 Menanteau Guy 2014-09-15 14:52:22 UTC
It seems that in GL/glx.h, GL/glext.h is only included when
GL_GLEXT_LEGACY is not defined (line 2049).
Unfortunatly, GL_GLEXT_LEGACY is defined in Rendering/OpenGL/vtkOpenGL.h 
(line 22) and 
vtkOpenGL.h is included in vtkXOpenGLRenderWindow.cxx that makes GL/glext.h 
not included and GLintptr not declared.

Comment 2 Menanteau Guy 2014-09-15 16:01:00 UTC
For info:
In package vtk, commenting line 22 of Rendering/OpenGL/vtkOpenGL.h 
// #define GL_GLEXT_LEGACY
makes vtk-6.1.0-14.fc21 build succesfull.
Note that I  don't know why this define is there so I don't say it is the 
patch to apply...

Comment 3 Dan Horák 2014-11-19 10:09:08 UTC
Hi Orion, I think we should move here forward, broken VTK blocks quite a large number of other builds on secondary arches on F-21+. So any workaround is accepted :-)

Comment 4 Fedora Update System 2014-11-19 21:33:25 UTC
vtk-6.1.0-17.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/vtk-6.1.0-17.fc21

Comment 5 Fedora Update System 2014-11-20 09:06:25 UTC
Package vtk-6.1.0-17.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vtk-6.1.0-17.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15432/vtk-6.1.0-17.fc21
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-11-20 14:39:57 UTC
vtk-6.1.0-18.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/vtk-6.1.0-18.fc21

Comment 7 Fedora Update System 2014-12-06 10:10:46 UTC
vtk-6.1.0-18.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.